Restore Point Collections - Create Or Update

建立或更新還原點集合的作業。 如需詳細資訊,請參閱 https://aka.ms/RestorePoints。 更新還原點集合時,只能修改標記。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/restorePointCollections/{restorePointCollectionName}?api-version=2026-04-01

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

restorePointCollectionName
path True

string

還原點集合的名稱。

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
location True

string

資源所在的地理位置

properties.instantAccess

boolean

此屬性會決定是否針對在此還原點集合下針對進階 SSD v2 或超級磁碟建立的還原點啟用即時存取快照集。 進階 SSD v2 或 Ultra 磁碟的即時存取快照集可立即用於還原磁碟,並具有快速還原效能。

properties.source

RestorePointCollectionSourceProperties

建立此還原點集合的來源資源屬性。

tags

object

資源標籤。

回覆

名稱 類型 Description
200 OK

RestorePointCollection

資源“RestorePointCollection”更新作成功

201 Created

RestorePointCollection

資源“RestorePointCollection”創建作成功

Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 冒用您的使用者帳戶

範例

Create or update a restore point collection for cross region copy.
Create or update a restore point collection.

Create or update a restore point collection for cross region copy.

範例要求

PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/myRpc?api-version=2026-04-01

{
  "location": "norwayeast",
  "properties": {
    "source": {
      "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/sourceRpcName"
    }
  },
  "tags": {
    "myTag1": "tagValue1"
  }
}

範例回覆

{
  "name": "myRpc",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/myRpc",
  "type": "Microsoft.Compute/restorePointCollections",
  "location": "norwayeast",
  "tags": {
    "myTag1": "tagValue1"
  },
  "properties": {
    "source": {
      "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVM",
      "location": "eastus"
    },
    "restorePointCollectionId": "638f052b-a7c2-450c-89e7-6a3b8f1d6a7c",
    "provisioningState": "Succeeded"
  }
}
{
  "name": "myRpc",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/myRpc",
  "type": "Microsoft.Compute/restorePointCollections",
  "location": "norwayeast",
  "tags": {
    "myTag1": "tagValue1"
  },
  "properties": {
    "source": {
      "id": "subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/sourceRpcName",
      "location": "eastus"
    },
    "restorePointCollectionId": "638f052b-a7c2-450c-89e7-6a3b8f1d6a7c",
    "provisioningState": "Succeeded"
  }
}

Create or update a restore point collection.

範例要求

PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/myRpc?api-version=2026-04-01

{
  "location": "norwayeast",
  "properties": {
    "source": {
      "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVM"
    },
    "instantAccess": true
  },
  "tags": {
    "myTag1": "tagValue1"
  }
}

範例回覆

{
  "name": "myRpc",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/myRpc",
  "type": "Microsoft.Compute/restorePointCollections",
  "location": "norwayeast",
  "tags": {
    "myTag1": "tagValue1"
  },
  "properties": {
    "source": {
      "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVM",
      "location": "eastus"
    },
    "instantAccess": true,
    "restorePointCollectionId": "638f052b-a7c2-450c-89e7-6a3b8f1d6a7c",
    "provisioningState": "Succeeded"
  }
}
{
  "name": "myRpc",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/myRpc",
  "type": "Microsoft.Compute/restorePointCollections",
  "location": "norwayeast",
  "tags": {
    "myTag1": "tagValue1"
  },
  "properties": {
    "source": {
      "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVM",
      "location": "eastus"
    },
    "instantAccess": true,
    "restorePointCollectionId": "638f052b-a7c2-450c-89e7-6a3b8f1d6a7c",
    "provisioningState": "Succeeded"
  }
}

定義

名稱 Description
AdditionalDiskProperties

指定可於隱式建立磁碟時設定的管理磁碟額外屬性。

AdditionalUnattendContent

指定 Windows 安裝程式所使用的 Unattend.xml 檔案中可包含的其他 XML 格式化資訊。 內容是透過設定名稱、元件名稱和套用內容的傳遞來定義。

ApiEntityReference

API 實體參考。

ApiError

Api 錯誤。

ApiErrorBase

API 錯誤基底。

AvailabilityPolicyDiskDelay

決定如何處理 I/O 緩慢的磁碟。

BootDiagnostics

開機診斷是一項偵錯功能,可讓您檢視控制台輸出和螢幕快照來診斷 VM 狀態。 您可以輕鬆地檢視主控台記錄的輸出。 Azure 也可讓您從 Hypervisor 查看 VM 的螢幕快照。

CachingTypes

指定快取需求。 可能的值為: None、ReadOnly、ReadWrite。 默認值為: Standard storage 的 None。高級存儲的 ReadOnly

CloudError

來自計算服務的錯誤回應。

ComponentNames
ConsistencyModeTypes

RestorePoint 的 ConsistencyMode。 可以在建立還原點時於輸入中指定。 目前,只有 CrashConsistent 會接受為有效的輸入。 如需詳細資訊,請參閱 https://aka.ms/RestorePoints。

createdByType

建立此資源的身分識別類型。

DiagnosticsProfile

指定開機診斷設定狀態。 API 版本下限:2015-06-15。

DiskAvailabilityPolicy

如果硬碟出現可用性或連線問題,請指定虛擬機的行為。

DiskControllerTypes

指定為 VM 和 VirtualMachineScaleSet 設定的磁碟控制器類型。 只有操作系統磁碟和 VM SKU 支援第 2 代 (https://docs.microsoft.com/en-us/azure/virtual-machines/generation-2) 的虛擬機才支援此屬性,請在區域之 Microsoft.Compute SKU API 的回應中檢查作為 VM SKU 功能的一部分傳回的 HyperVGenerations 功能https://docs.microsoft.com/rest/api/compute/resourceskus/list。 如需支援的磁碟控制器類型詳細資訊,請參閱 https://aka.ms/azure-diskcontrollertypes。

DiskEncryptionSetParameters

描述可針對磁碟指定之客戶受控磁碟加密集資源標識符的參數。 注意: 只能為受控磁碟指定磁碟加密集資源標識符。 如需詳細資訊,請參閱 https://aka.ms/mdssewithcmkoverview。

DiskEncryptionSettings

描述磁碟的加密設定

DiskRestorePointAttributes

磁碟還原點詳細數據。

DiskRestorePointInstanceView

磁碟還原點的實例檢視。

DiskRestorePointReplicationStatus

磁碟還原點的實例檢視。

EncryptionIdentity

指定 ADE 用來取得金鑰保存庫作業存取令牌的受控識別。

HardwareProfile

指定虛擬機的硬體設定。

HostEndpointSettings

指定特定的主機端點設定。

HyperVGenerationTypes

指定 HyperVGeneration 類型

InnerError

內部錯誤詳細數據。

InstanceViewStatus

實例檢視狀態。

KeyVaultKeyReference

描述 金鑰保存庫 金鑰的參考

KeyVaultSecretReference

描述 金鑰保存庫 秘密的參考

LinuxConfiguration

指定虛擬機上的Linux作業系統設定。 如需支援的 Linux 發行版清單,請參閱 Azure-Endorsed 發行版上的 Linux。

LinuxPatchAssessmentMode

指定 IaaS 虛擬機的 VM 客體修補評估模式。

可能的值為:

ImageDefault - 您可以在虛擬機上控制修補程式評估的時間。

AutomaticByPlatform - 平台將觸發定期修補程序評估。 屬性 provisionVMAgent 必須為 true。

LinuxPatchSettings

指定與Linux上的VM客體修補相關的設定。

LinuxVMGuestPatchAutomaticByPlatformRebootSetting

指定所有 AutomaticByPlatform 修補程式安裝作業的重新啟動設定。

LinuxVMGuestPatchAutomaticByPlatformSettings

指定在Linux修補程式設定中選取 Patch 模式 AutomaticByPlatform 時要套用的其他設定。

LinuxVMGuestPatchMode

將 VM 客體修補模式指定為彈性的 IaaS 虛擬機或與虛擬機擴展集相關聯的虛擬機。

可能的值為:

ImageDefault - 會使用虛擬機的預設修補組態。

AutomaticByPlatform - 虛擬機將由平台自動更新。 屬性 provisionVMAgent 必須為 true

ManagedDiskParameters

受控磁碟的參數。

ManagedDiskProperties

指定可在隱式建立磁碟時設定的受管理磁碟屬性。

Mode

指定如果啟用此功能,ProxyAgent 將會在 上執行的模式。 ProxyAgent 會開始稽核或監視,但不會在稽核模式中對主機端點的要求強制執行訪問控制,而在 [強制執行模式] 中,則會強制執行訪問控制。 默認值為 [強制] 模式。

Modes

指定執行模式。 在稽核模式中,系統的作用就像是強制執行訪問控制原則,包括在記錄中發出存取拒絕專案,但它實際上不會拒絕任何對主機端點的要求。 在 [強制執行] 模式中,系統會強制執行訪問控制,這是建議的作業模式。

NetworkAccessPolicy

透過網路存取磁碟的原則。

OperatingSystemType

取得作業系統類型。

OSProfile

指定虛擬機的作業系統設定。 布建 VM 之後,就無法變更某些設定。

PassNames
PatchSettings

指定與 Windows 上的 VM 客體修補相關的設定。

ProcessorMode

指定虛擬機的處理器頻率行為。 查看每個成員所控制的行為。

ProtocolTypes

指定 WinRM 接聽程式的通訊協定。 可能的值為:HTTP、https。

ProxyAgentSettings

指定虛擬機或虛擬機擴展集的 ProxyAgent 設定。 API 版本下限:2023-09-01。

RestorePoint

還原點詳細數據。

RestorePointCollection

建立或更新還原點集合參數。

RestorePointCollectionSourceProperties

建立此還原點集合的來源資源屬性。

RestorePointEncryption

磁碟還原點的待用加密設定。 這是選擇性屬性,可在建立還原點時於輸入中指定。

RestorePointEncryptionType

用來加密磁碟還原點數據的金鑰類型。

RestorePointInstanceView

還原點的實例檢視。

RestorePointSourceMetadata

描述建立還原點之虛擬機的屬性。 提供的屬性是還原點建立時所擷取之整體虛擬機屬性的子集和快照集。

RestorePointSourceVMDataDisk

描述數據磁碟。

RestorePointSourceVMOSDisk

描述操作系統磁碟。

RestorePointSourceVMStorageProfile

描述記憶體配置檔。

SecurityEncryptionTypes

指定受控磁碟的 EncryptionType。 它會設定為 DiskWithVMGuestState 來加密受控磁碟以及 VMGuestState Blob、VMGuestStateOnly,以便只加密 VMGuestState Blob,以及 NonPersistedTPM 以在 VMGuestState blob 中保存韌體狀態。 注意: 只能設定機密 VM。

SecurityProfile

指定虛擬機或虛擬機擴展集的安全性配置檔設定。

SecurityTypes

指定虛擬機安全類型;UefiSettings 僅在設定為 TrustedLaunch 或 ConfidentialVM 時啟用,並回傳標準值,起始 API 版本為 2025-11-01。

SettingNames

指定內容適用的設定名稱。 可能的值為:FirstLogonCommands 和 AutoLogon。

SnapshotAccessState

決定快照存取可用性的快照狀態。

SshConfiguration

在 Azure 上執行的 Linux 型 VM 的 SSH 設定

SshPublicKey

包含 SSH 憑證公鑰的相關信息,以及放置公鑰之 Linux VM 上的路徑。

StatusLevelTypes

層級程序代碼。

StorageAccountTypes

指定受控磁碟的記憶體帳戶類型。 只有當您建立擴展集時,才能設定受控 OS 磁碟記憶體帳戶類型。 注意:UltraSSD_LRS只能與數據磁碟搭配使用。 它不能與OS磁碟搭配使用。 Standard_LRS使用標準 HDD。 StandardSSD_LRS使用標準 SSD。 Premium_LRS使用進階 SSD。 UltraSSD_LRS使用 Ultra 磁碟。 Premium_ZRS使用進階 SSD 區域備援記憶體。 StandardSSD_ZRS使用標準 SSD 區域備援記憶體。 如需 Windows 虛擬機所支援磁碟的詳細資訊,請參閱 https://docs.microsoft.com/azure/virtual-machines/windows/disks-types,如需 Linux 虛擬機的詳細資訊,請參閱 https://docs.microsoft.com/azure/virtual-machines/linux/disks-types

SubResource
systemData

與建立和上次修改資源相關的元數據。

UefiSettings

指定建立虛擬機時所使用的安全開機和 vTPM 等安全性設定。 API 版本下限:2020-12-01。

VaultCertificate

描述 金鑰保存庫 中的單一憑證參考,以及憑證應該位於 VM 上的位置。

VaultSecretGroup

描述一組憑證,這些憑證全都位於相同的金鑰保存庫 中。

VirtualMachineSizeTypes

指定虛擬機的大小。 列舉數據類型目前已被取代,將於 2023 年 12 月 23 日移除。 取得可用大小清單的建議方式是使用這些 API:列出可用性設定組中的所有可用虛擬機大小、列出區域中所有可用的虛擬機大小、列出所有可用的虛擬機大小以重設大小。 如需虛擬機器大小的詳細資訊,請參閱 虛擬機的大小。 可用的 VM 大小取決於區域和可用性設定組。

VMDiskSecurityProfile

指定受控磁碟的安全性配置檔設定。 注意: 只能針對機密 VM 設定。

VMSizeProperties

指定虛擬機上的 VM 大小屬性設定。

WindowsConfiguration

指定虛擬機上的 Windows 作業系統設定。

WindowsPatchAssessmentMode

指定 IaaS 虛擬機的 VM 客體修補評估模式。

可能的值為:

ImageDefault - 您可以在虛擬機上控制修補程式評估的時間。

AutomaticByPlatform - 平台將觸發定期修補程序評估。 屬性 provisionVMAgent 必須為 true。

WindowsVMGuestPatchAutomaticByPlatformRebootSetting

指定所有 AutomaticByPlatform 修補程式安裝作業的重新啟動設定。

WindowsVMGuestPatchAutomaticByPlatformSettings

指定在 Windows 修補程式設定中選取 Patch 模式 AutomaticByPlatform 時要套用的其他設定。

WindowsVMGuestPatchMode

將 VM 客體修補模式指定為彈性的 IaaS 虛擬機或與虛擬機擴展集相關聯的虛擬機。

可能的值為:

手動 - 您可以控制將修補程式的應用程式套用至虛擬機。 您可以手動在 VM 內套用修補程式來執行此動作。 在此模式中,會停用自動更新;屬性 WindowsConfiguration.enableAutomaticUpdates 必須為 false

AutomaticByOS - 作業系統會自動更新虛擬機。 屬性 WindowsConfiguration.enableAutomaticUpdates 必須為 true。

AutomaticByPlatform - 虛擬機會由平台自動更新。 provisionVMAgent 和 WindowsConfiguration.enableAutomaticUpdates 的屬性必須是 true

WinRMConfiguration

描述 VM 的 Windows 遠端管理設定

WinRMListener

描述 Windows 遠端管理接聽程式的通訊協議和指紋

AdditionalDiskProperties

指定可於隱式建立磁碟時設定的管理磁碟額外屬性。

名稱 類型 Description
managedDiskProperties

ManagedDiskProperties

指定在隱含建立磁碟時可設定的受管理磁碟屬性。

AdditionalUnattendContent

指定 Windows 安裝程式所使用的 Unattend.xml 檔案中可包含的其他 XML 格式化資訊。 內容是透過設定名稱、元件名稱和套用內容的傳遞來定義。

名稱 類型 Description
componentName

ComponentNames

元件名稱。 目前,唯一允許的值是 Microsoft-Windows-Shell-Setup。

content

string

指定新增至指定路徑和元件之 unattend.xml 檔案的 XML 格式化內容。 XML 必須小於 4KB,而且必須包含要插入之設定或功能的根元素。

passName

PassNames

傳遞名稱。 目前唯一允許的值是 OobeSystem。

settingName

SettingNames

指定內容適用的設定名稱。 可能的值為:FirstLogonCommands 和 AutoLogon。

ApiEntityReference

API 實體參考。

名稱 類型 Description
id

string

以 /subscriptions/{SubscriptionId}/resourceGroups/{ResourceGroupName}/... 格式的 ARM 資源標識符

ApiError

Api 錯誤。

名稱 類型 Description
code

string

錯誤碼。

details

ApiErrorBase[]

Api 錯誤詳細數據

innererror

InnerError

Api 內部錯誤

message

string

錯誤訊息。

target

string

特定錯誤的目標。

ApiErrorBase

API 錯誤基底。

名稱 類型 Description
code

string

錯誤碼。

message

string

錯誤訊息。

target

string

特定錯誤的目標。

AvailabilityPolicyDiskDelay

決定如何處理 I/O 緩慢的磁碟。

值 Description
None

預設行為為未指定可用性政策,即當磁碟 I/O 緩慢時,虛擬機重新啟動。

AutomaticReattach

當磁碟 I/O 失敗或反應緩慢時,試著先拆下再重新連接。

BootDiagnostics

開機診斷是一項偵錯功能,可讓您檢視控制台輸出和螢幕快照來診斷 VM 狀態。 您可以輕鬆地檢視主控台記錄的輸出。 Azure 也可讓您從 Hypervisor 查看 VM 的螢幕快照。

名稱 類型 Description
enabled

boolean

是否應在虛擬機上啟用開機診斷。

storageUri

string

用來放置主控台輸出和螢幕快照的記憶體帳戶 URI。 如果在啟用開機診斷時未指定 storageUri,則會使用受控記憶體。

CachingTypes

指定快取需求。 可能的值為: None、ReadOnly、ReadWrite。 默認值為: Standard storage 的 None。高級存儲的 ReadOnly

值 Description
None
ReadOnly
ReadWrite

CloudError

來自計算服務的錯誤回應。

名稱 類型 Description
error

ApiError

Api 錯誤。

ComponentNames

值 Description
Microsoft-Windows-Shell-Setup

ConsistencyModeTypes

RestorePoint 的 ConsistencyMode。 可以在建立還原點時於輸入中指定。 目前,只有 CrashConsistent 會接受為有效的輸入。 如需詳細資訊,請參閱 https://aka.ms/RestorePoints。

值 Description
CrashConsistent
FileSystemConsistent
ApplicationConsistent

createdByType

建立此資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

DiagnosticsProfile

指定開機診斷設定狀態。 API 版本下限:2015-06-15。

名稱 類型 Description
bootDiagnostics

BootDiagnostics

開機診斷是一項偵錯功能,可讓您檢視控制台輸出和螢幕快照來診斷 VM 狀態。 NOTE:如果指定 storageUri,請確定記憶體帳戶位於與 VM 相同的區域和訂用帳戶中。 您可以輕鬆地檢視主控台記錄的輸出。 Azure 也可讓您從 Hypervisor 查看 VM 的螢幕快照。

DiskAvailabilityPolicy

如果硬碟出現可用性或連線問題,請指定虛擬機的行為。

名稱 類型 Description
actionOnDiskDelay

AvailabilityPolicyDiskDelay

決定如何處理 I/O 緩慢的磁碟。

DiskControllerTypes

指定為 VM 和 VirtualMachineScaleSet 設定的磁碟控制器類型。 只有操作系統磁碟和 VM SKU 支援第 2 代 (https://docs.microsoft.com/en-us/azure/virtual-machines/generation-2) 的虛擬機才支援此屬性,請在區域之 Microsoft.Compute SKU API 的回應中檢查作為 VM SKU 功能的一部分傳回的 HyperVGenerations 功能https://docs.microsoft.com/rest/api/compute/resourceskus/list。 如需支援的磁碟控制器類型詳細資訊,請參閱 https://aka.ms/azure-diskcontrollertypes。

值 Description
SCSI
NVMe

DiskEncryptionSetParameters

描述可針對磁碟指定之客戶受控磁碟加密集資源標識符的參數。 注意: 只能為受控磁碟指定磁碟加密集資源標識符。 如需詳細資訊,請參閱 https://aka.ms/mdssewithcmkoverview。

名稱 類型 Description
id

string

資源標識碼

DiskEncryptionSettings

描述磁碟的加密設定

名稱 類型 Description
diskEncryptionKey

KeyVaultSecretReference

指定磁碟加密密鑰的位置,也就是 金鑰保存庫 秘密。

enabled

boolean

指定是否應在虛擬機上啟用磁碟加密。

keyEncryptionKey

KeyVaultKeyReference

指定 金鑰保存庫 中金鑰加密金鑰的位置。

DiskRestorePointAttributes

磁碟還原點詳細數據。

名稱 類型 Description
encryption

RestorePointEncryption

磁碟還原點的待用加密設定。 這是選擇性屬性,可在建立還原點時於輸入中指定。

id

string

資源標識碼

sourceDiskRestorePoint

ApiEntityReference

來源磁碟還原點的資源標識碼。

DiskRestorePointInstanceView

磁碟還原點的實例檢視。

名稱 類型 Description
id

string

磁碟還原點標識碼。

replicationStatus

DiskRestorePointReplicationStatus

磁碟還原點復寫狀態資訊。

snapshotAccessState

SnapshotAccessState

決定快照存取可用性的快照狀態。

DiskRestorePointReplicationStatus

磁碟還原點的實例檢視。

名稱 類型 Description
completionPercent

integer (int32)

複寫完成百分比。

status

InstanceViewStatus

資源狀態資訊。

EncryptionIdentity

指定 ADE 用來取得金鑰保存庫作業存取令牌的受控識別。

名稱 類型 Description
userAssignedIdentityResourceId

string

指定與 VM 相關聯的其中一個使用者身分識別的 ARM 資源識別碼。

HardwareProfile

指定虛擬機的硬體設定。

名稱 類型 Description
processorMode

ProcessorMode

指定虛擬機或虛擬機擴充集的處理器模式。 選修;若省略,則依照平台預設值(目前為確定性)。 此特性可在運行中的虛擬機或 VMSS 上更新,無需解除配置或重啟。 最低 API 版本:2026-04-01。

vmSize

VirtualMachineSizeTypes

指定虛擬機的大小。 列舉數據類型目前已被取代,將於 2023 年 12 月 23 日移除。 取得可用大小清單的建議方式是使用這些 API:列出可用性設定組中的所有可用虛擬機大小、列出區域中所有可用的虛擬機大小、列出所有可用的虛擬機大小以重設大小。 如需虛擬機器大小的詳細資訊,請參閱 虛擬機的大小。 可用的 VM 大小取決於區域和可用性設定組。

vmSizeProperties

VMSizeProperties

指定自定義虛擬機大小的屬性。 API 版本下限:2021-07-01。 此功能仍處於預覽模式,VirtualMachineScaleSet 不支援此功能。 如需詳細資訊,請遵循 VM 自定義 中的指示。

HostEndpointSettings

指定特定的主機端點設定。

名稱 類型 Description
inVMAccessControlProfileReferenceId

string

以 /subscriptions/{SubscriptionId}/resourceGroups/{ResourceGroupName}/providers/Microsoft.Compute/gallerys/{galleryName}/inVMAccessControlProfiles/{profile}/versions/{version} 的格式指定 InVMAccessControlProfileVersion 資源標識符

mode

Modes

指定執行模式。 在稽核模式中,系統的作用就像是強制執行訪問控制原則,包括在記錄中發出存取拒絕專案,但它實際上不會拒絕任何對主機端點的要求。 在 [強制執行] 模式中,系統會強制執行訪問控制,這是建議的作業模式。

useLocalFileRules

boolean

當設定為 true時,會指示虛擬機內的 GuestProxyAgent 載入虛擬機本地檔案中定義的額外存取控制規則。

HyperVGenerationTypes

指定 HyperVGeneration 類型

值 Description
V1
V2

InnerError

內部錯誤詳細數據。

名稱 類型 Description
errordetail

string

內部錯誤訊息或例外狀況傾印。

exceptiontype

string

例外狀況型別。

InstanceViewStatus

實例檢視狀態。

名稱 類型 Description
code

string

狀態代碼。

displayStatus

string

狀態的簡短可當地語系化標籤。

level

StatusLevelTypes

層級程序代碼。

message

string

詳細的狀態消息,包括警示和錯誤訊息。

time

string (date-time)

狀態的時間。

KeyVaultKeyReference

描述 金鑰保存庫 金鑰的參考

名稱 類型 Description
keyUrl

string

參考 金鑰保存庫 中金鑰加密金鑰的 URL。

sourceVault

SubResource

包含金鑰之 金鑰保存庫 的相對 URL。

KeyVaultSecretReference

描述 金鑰保存庫 秘密的參考

名稱 類型 Description
secretUrl

string

參考 金鑰保存庫 中秘密的 URL。

sourceVault

SubResource

包含秘密之 金鑰保存庫 的相對 URL。

LinuxConfiguration

指定虛擬機上的Linux作業系統設定。 如需支援的 Linux 發行版清單,請參閱 Azure-Endorsed 發行版上的 Linux。

名稱 類型 Description
disablePasswordAuthentication

boolean

指定是否應停用密碼驗證。

enableVMAgentPlatformUpdates

boolean

指出是否為Linux虛擬機啟用VMAgent平臺更新。 預設值為 False。

patchSettings

LinuxPatchSettings

[預覽功能]指定與Linux上的VM客體修補相關的設定。

provisionVMAgent

boolean

指出虛擬機器代理程式是否應該佈建在虛擬機上。 當要求本文中未指定此屬性時,預設行為是將它設定為 true。 這可確保 VM 代理程式已安裝在 VM 上,以便稍後將擴充功能新增至 VM。

ssh

SshConfiguration

指定 Linux OS 的 SSH 金鑰組態。

LinuxPatchAssessmentMode

指定 IaaS 虛擬機的 VM 客體修補評估模式。

可能的值為:

ImageDefault - 您可以在虛擬機上控制修補程式評估的時間。

AutomaticByPlatform - 平台將觸發定期修補程序評估。 屬性 provisionVMAgent 必須為 true。

值 Description
ImageDefault
AutomaticByPlatform

LinuxPatchSettings

指定與Linux上的VM客體修補相關的設定。

名稱 類型 Description
assessmentMode

LinuxPatchAssessmentMode

指定 IaaS 虛擬機的 VM 客體修補評估模式。

可能的值為:

ImageDefault - 您可以在虛擬機上控制修補程式評估的時間。

AutomaticByPlatform - 平台將觸發定期修補程序評估。 屬性 provisionVMAgent 必須為 true。

automaticByPlatformSettings

LinuxVMGuestPatchAutomaticByPlatformSettings

在 Linux 上的 VM 客體修補中,指定修補程式模式 AutomaticByPlatform 的其他設定。

patchMode

LinuxVMGuestPatchMode

將 VM 客體修補模式指定為彈性的 IaaS 虛擬機或與虛擬機擴展集相關聯的虛擬機。

可能的值為:

ImageDefault - 會使用虛擬機的預設修補組態。

AutomaticByPlatform - 虛擬機將由平台自動更新。 屬性 provisionVMAgent 必須為 true

LinuxVMGuestPatchAutomaticByPlatformRebootSetting

指定所有 AutomaticByPlatform 修補程式安裝作業的重新啟動設定。

值 Description
Unknown
IfRequired
Never
Always

LinuxVMGuestPatchAutomaticByPlatformSettings

指定在Linux修補程式設定中選取 Patch 模式 AutomaticByPlatform 時要套用的其他設定。

名稱 類型 Description
bypassPlatformSafetyChecksOnUserSchedule

boolean

讓客戶在不意外升級的情況下排程修補

rebootSetting

LinuxVMGuestPatchAutomaticByPlatformRebootSetting

指定所有 AutomaticByPlatform 修補程式安裝作業的重新啟動設定。

LinuxVMGuestPatchMode

將 VM 客體修補模式指定為彈性的 IaaS 虛擬機或與虛擬機擴展集相關聯的虛擬機。

可能的值為:

ImageDefault - 會使用虛擬機的預設修補組態。

AutomaticByPlatform - 虛擬機將由平台自動更新。 屬性 provisionVMAgent 必須為 true

值 Description
ImageDefault
AutomaticByPlatform

ManagedDiskParameters

受控磁碟的參數。

名稱 類型 Description
additionalDiskProperties

AdditionalDiskProperties

指定可於磁碟隱含建立時設定的額外屬性。 此屬性不會被捕捉到用於恢復點。

diskEncryptionSet

DiskEncryptionSetParameters

指定受控磁碟的客戶受控磁碟加密集資源標識符。

id

string

資源標識碼

securityProfile

VMDiskSecurityProfile

指定受控磁碟的安全性配置檔。

storageAccountType

StorageAccountTypes

指定受控磁碟的記憶體帳戶類型。 注意:UltraSSD_LRS只能與數據磁碟搭配使用,因此無法與OS磁碟搭配使用。

ManagedDiskProperties

指定可在隱式建立磁碟時設定的受管理磁碟屬性。

名稱 類型 Description
availabilityPolicy

DiskAvailabilityPolicy

如果硬碟出現可用性或連線問題,請指定虛擬機的行為。

burstingEnabled

boolean

設定為 true,以啟用超出磁碟布建效能目標的高載。 磁碟高載預設為停用。 不適用於 Ultra 磁碟。

diskAccessId

string

Azure 資源 DiskAccess 資源的 ID 用於磁碟上的私有端點。

diskIOPSReadOnly

integer (int64)

所有裝載共用磁碟作為 ReadOnly 的 VM 所允許的 IOPS 總數。 一個作業可以在 4k 到 256k 個字節之間傳輸。

diskMBpsReadOnly

integer (int64)

所有裝載共用磁碟作為 ReadOnly 的 VM 所允許的總輸送量 (MBps)。 MBps 表示每秒數百萬個字節 - MB 會使用 ISO 表示法,其乘冪為 10。

logicalSectorSize

integer (int32)

超大磁碟的邏輯扇區大小(以位元組為單位)。 支援的值為 512 和 4096。 4096 是預設值。

maxShares

integer (int32)

minimum: 1

可以同時連結至磁碟的 VM 數目上限。 大於一個值表示可以同時掛接在多個 VM 上的磁碟。 僅適用於資料磁碟。

networkAccessPolicy

NetworkAccessPolicy

透過網路存取磁碟的原則。

optimizedForFrequentAttach

boolean

將此特性設為真可提升資料磁碟的可靠性與效能,這些磁碟經常(一天超過5次)從一台虛擬機分離並連接到另一台。 不應該針對未中斷連結和經常連結的磁碟設定此屬性,因為它會導致磁碟與虛擬機的容錯網域不一致。

performancePlus

boolean

將此旗標設定為 true,以提升所部署磁碟的效能目標。 此旗標只能在磁碟建立時間上設定,而且在啟用之後無法停用。

tier

string

磁碟的效能等級(例如 P4、S10),如下所述: https://azure.microsoft.com/en-us/pricing/details/managed-disks/。 不適用於 Ultra 磁碟。

Mode

指定如果啟用此功能,ProxyAgent 將會在 上執行的模式。 ProxyAgent 會開始稽核或監視,但不會在稽核模式中對主機端點的要求強制執行訪問控制,而在 [強制執行模式] 中,則會強制執行訪問控制。 默認值為 [強制] 模式。

值 Description
Audit
Enforce

Modes

指定執行模式。 在稽核模式中,系統的作用就像是強制執行訪問控制原則,包括在記錄中發出存取拒絕專案,但它實際上不會拒絕任何對主機端點的要求。 在 [強制執行] 模式中,系統會強制執行訪問控制,這是建議的作業模式。

值 Description
Audit
Enforce
Disabled

NetworkAccessPolicy

透過網路存取磁碟的原則。

值 Description
AllowAll

該磁碟可從任何網路匯出或上傳。

AllowPrivate

磁碟可透過 DiskAccess 資源的私有端點匯出或上傳。

DenyAll

無法匯出磁碟。

OperatingSystemType

取得作業系統類型。

值 Description
Windows
Linux

OSProfile

指定虛擬機的作業系統設定。 布建 VM 之後,就無法變更某些設定。

名稱 類型 Description
adminPassword

string (password)

指定系統管理員帳戶的密碼。

最小長度 (Windows): 8 個字元

最小長度 (Linux): 6 個字元

長度上限 (Windows): 123 個字元

長度上限(Linux): 72 個字元

複雜性需求:需要滿足下列 4 個條件中的 3 個
字元較低
具有大字元
具有數位
具有特殊字元 (Regex match [\W_])

不允許的值: “abc@123”、“P@$$w 0rd”、“P@ssw0rd”、“P@ssword123”、“Pa$$word”、“pass@word1”、“Password!”、“Password1”、“Password22”、“iloveyou!”

如需重設密碼,請參閱 如何在 Windows VM 中重設遠端桌面服務或其登入密碼

如需重設根密碼,請參閱 使用 VMAccess 擴充功能 管理使用者、SSH 及檢查或修復 Azure Linux VM 上的磁碟

adminUsername

string

指定系統管理員帳戶的名稱。

建立 VM 之後,就無法更新此屬性。

僅限 Windows 的限制: 不能以 “” 結尾。

不允許的值: “administrator”、“admin”、“user”、“user1”、“test”、“user2”、“test1”、“user3”、“admin1”、“1” “123”、“a”、“actuser”、“adm”、“admin2”、“aspnet”、“backup”、“console”、“david”、“guest”、“john”、“owner”、“root”、“server”、“sql”、“support”、“support_388945a0”、“sys”、“test2”、“test3”、“user4”、“user5”。

最小長度 (Linux): 1 個字元

最大長度 (Linux): 64 個字元

長度上限 (Windows): 20 個字元。

allowExtensionOperations

boolean

指定虛擬機上是否應該允許擴充功能作業。 只有在虛擬機上沒有擴充功能時,才會將此選項設定為 False。

computerName

string

指定虛擬機的主機OS名稱。 建立 VM 之後,無法更新此名稱。 最大長度 (Windows): 15 個字元。 長度上限(Linux): 64 個字元。 如需命名慣例和限制,請參閱Azure 基礎結構服務實作指導方針。

customData

string

指定自訂數據的base-64編碼字串。 base-64 編碼字串會譯碼為儲存為虛擬機上檔案的二進位數組。 二進位陣列的最大長度為65535個字節。 注意:請勿在 customData 屬性中傳遞任何秘密或密碼。 建立 VM 之後,就無法更新此屬性。 屬性 'customData' 會傳遞至要儲存為檔案的 VM,如需詳細資訊,請參閱 Azure VM 上的自定義數據。 如需針對 Linux VM 使用 cloud-init,請參閱 在建立期間使用 cloud-init 自定義 Linux VM。

linuxConfiguration

LinuxConfiguration

指定虛擬機上的Linux作業系統設定。 如需支援的 Linux 發行版清單,請參閱 Azure-Endorsed 發行版上的 Linux。

requireGuestProvisionSignal

boolean

必須設定為 True 或省略的選擇性屬性。

secrets

VaultSecretGroup[]

指定應該安裝在虛擬機上的憑證集。 若要在虛擬機上安裝憑證,建議使用適用於Linux 的 Azure Key Vault 虛擬機擴充功能,或適用於Windows的 Azure Key Vault 虛擬機擴充功能。

windowsConfiguration

WindowsConfiguration

指定虛擬機上的 Windows 作業系統設定。

PassNames

值 Description
OobeSystem

PatchSettings

指定與 Windows 上的 VM 客體修補相關的設定。

名稱 類型 Description
assessmentMode

WindowsPatchAssessmentMode

指定 IaaS 虛擬機的 VM 客體修補評估模式。

可能的值為:

ImageDefault - 您可以在虛擬機上控制修補程式評估的時間。

AutomaticByPlatform - 平台將觸發定期修補程序評估。 屬性 provisionVMAgent 必須為 true。

automaticByPlatformSettings

WindowsVMGuestPatchAutomaticByPlatformSettings

指定 Windows 上 VM 客體修補中的 Patch 模式 AutomaticByPlatform 的其他設定。

enableHotpatching

boolean

可讓客戶修補其 Azure VM,而不需要重新啟動。 針對 enableHotpatching,'provisionVMAgent' 必須設定為 true,且 'patchMode' 必須設定為 'AutomaticByPlatform'。

patchMode

WindowsVMGuestPatchMode

將 VM 客體修補模式指定為彈性的 IaaS 虛擬機或與虛擬機擴展集相關聯的虛擬機。

可能的值為:

手動 - 您可以控制將修補程式的應用程式套用至虛擬機。 您可以手動在 VM 內套用修補程式來執行此動作。 在此模式中,會停用自動更新;屬性 WindowsConfiguration.enableAutomaticUpdates 必須為 false

AutomaticByOS - 作業系統會自動更新虛擬機。 屬性 WindowsConfiguration.enableAutomaticUpdates 必須為 true。

AutomaticByPlatform - 虛擬機會由平台自動更新。 provisionVMAgent 和 WindowsConfiguration.enableAutomaticUpdates 的屬性必須是 true

ProcessorMode

指定虛擬機的處理器頻率行為。 查看每個成員所控制的行為。

值 Description
Deterministic

確保基底/名義層級的處理器頻率可預測且一致。 渦輪增壓/增壓功能是被禁用的。

Opportunistic

當熱與功率餘裕允許時,允許更高頻率的突發。

ProtocolTypes

指定 WinRM 接聽程式的通訊協定。 可能的值為:HTTP、https。

值 Description
Http
Https

ProxyAgentSettings

指定虛擬機或虛擬機擴展集的 ProxyAgent 設定。 API 版本下限:2023-09-01。

名稱 類型 Description
addProxyAgentExtension

boolean

指定是否隱含地安裝 ProxyAgent 延伸模組。 此選項目前僅適用於 Linux 作業系統。

enabled

boolean

指定是否應在虛擬機或虛擬機擴展集上啟用 ProxyAgent 功能。

imds

HostEndpointSettings

在建立虛擬機或虛擬機擴展集時指定 IMDS 端點設定。 API 版本下限:2024-03-01。

keyIncarnationId

integer (int32)

增加此屬性的值可讓使用者重設用來保護客體與主機之間通道的密鑰。

mode

Mode

指定 ProxyAgent 執行所在的模式。 警告:這個屬性已被取代,請在特定 hostendpoint 設定下指定 'mode'。

wireServer

HostEndpointSettings

指定建立虛擬機或虛擬機擴展集時的Wire Server端點設定。 API 版本下限:2024-03-01。

RestorePoint

還原點詳細數據。

名稱 類型 Description
id

string

資源的完整資源標識碼。 範例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

資源的名稱

properties.consistencyMode

ConsistencyModeTypes

RestorePoint 的 ConsistencyMode。 可以在建立還原點時於輸入中指定。 目前,只有 CrashConsistent 會接受為有效的輸入。 如需詳細資訊,請參閱 https://aka.ms/RestorePoints。

properties.excludeDisks

ApiEntityReference[]

客戶想要從還原點排除的磁碟資源標識符清單。 如果未指定任何磁碟,則會包含所有磁碟。

properties.instanceView

RestorePointInstanceView

還原點實例檢視。

properties.instantAccessDurationMinutes

integer (int32)

此屬性會決定快照保留為即時存取的時間 (以分鐘為單位),以在此還原點中還原進階 SSD v2 或超級磁碟,並具有快速還原效能。

properties.provisioningState

string

取得還原點的布建狀態。

properties.sourceMetadata

RestorePointSourceMetadata

取得還原點建立時所擷取的 VM 詳細數據。

properties.sourceRestorePoint

ApiEntityReference

需要建立複本的來源還原點資源標識碼。

properties.timeCreated

string (date-time)

取得還原點的建立時間。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

RestorePointCollection

建立或更新還原點集合參數。

名稱 類型 Description
id

string

資源的完整資源標識碼。 範例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

資源所在的地理位置

name

string

資源的名稱

properties.instantAccess

boolean

此屬性會決定是否針對在此還原點集合下針對進階 SSD v2 或超級磁碟建立的還原點啟用即時存取快照集。 進階 SSD v2 或 Ultra 磁碟的即時存取快照集可立即用於還原磁碟,並具有快速還原效能。

properties.provisioningState

string

還原點集合的布建狀態。

properties.restorePointCollectionId

string

還原點集合的唯一標識碼。

properties.restorePoints

RestorePoint[]

清單,包含在此還原點集合下建立的所有還原點。

properties.source

RestorePointCollectionSourceProperties

建立此還原點集合的來源資源屬性。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

RestorePointCollectionSourceProperties

建立此還原點集合的來源資源屬性。

名稱 類型 Description
id

string

用來建立此還原點集合的來源資源資源標識碼

location

string

用來建立此還原點集合的來源資源位置。

RestorePointEncryption

磁碟還原點的待用加密設定。 這是選擇性屬性,可在建立還原點時於輸入中指定。

名稱 類型 Description
diskEncryptionSet

DiskEncryptionSetParameters

描述可針對磁碟指定之客戶受控磁碟加密集資源標識符的參數。 注意: 只能為受控磁碟指定磁碟加密集資源標識符。 如需詳細資訊,請參閱 https://aka.ms/mdssewithcmkoverview。

type

RestorePointEncryptionType

用來加密磁碟還原點數據的金鑰類型。

RestorePointEncryptionType

用來加密磁碟還原點數據的金鑰類型。

值 Description
EncryptionAtRestWithPlatformKey

磁碟還原點會使用平臺管理的密鑰進行待用加密。

EncryptionAtRestWithCustomerKey

磁碟還原點會使用客戶管理的密鑰進行待用加密,可由客戶變更和撤銷。

EncryptionAtRestWithPlatformAndCustomerKeys

磁碟還原點會以 2 層加密進行待用加密。 其中一個金鑰是客戶管理,另一個金鑰是平臺管理。

RestorePointInstanceView

還原點的實例檢視。

名稱 類型 Description
diskRestorePoints

DiskRestorePointInstanceView[]

磁碟還原點資訊。

statuses

InstanceViewStatus[]

還原點的彙整狀態資訊。 該清單可能包含獨立的複寫彙總條目,並在支援的 API 版本中包含即時存取(視情況而定)。 欲了解更多關於即時存取的資訊,請參閱 使用虛擬機器還原點。

RestorePointSourceMetadata

描述建立還原點之虛擬機的屬性。 提供的屬性是還原點建立時所擷取之整體虛擬機屬性的子集和快照集。

名稱 類型 Description
diagnosticsProfile

DiagnosticsProfile

取得診斷配置檔。

hardwareProfile

HardwareProfile

取得硬體配置檔。

hyperVGeneration

HyperVGenerationTypes

擷取還原點的來源 VM HyperVGeneration。

licenseType

string

取得授權類型,這是用於自備授權案例。

location

string

建立還原點的來源 VM 位置。

osProfile

OSProfile

取得 OS 設定檔。

securityProfile

SecurityProfile

取得安全性配置檔。

storageProfile

RestorePointSourceVMStorageProfile

取得記憶體配置檔。

userData

string

與擷取還原點的來源 VM 相關聯的 UserData,這是 base-64 編碼的值。

vmId

string

取得虛擬機的唯一標識碼。

RestorePointSourceVMDataDisk

描述數據磁碟。

名稱 類型 Description
caching

CachingTypes

取得快取類型。

diskRestorePoint

DiskRestorePointAttributes

包含磁碟還原點屬性。

diskSizeGB

integer (int32)

取得空白數據磁碟的 GB 初始磁碟大小,以及現有 OS 和數據磁碟的新所需大小。

lun

integer (int32)

取得邏輯單元編號。

managedDisk

ManagedDiskParameters

包含受控磁碟詳細數據。

name

string

取得磁碟名稱。

writeAcceleratorEnabled

boolean

如果磁碟已啟用寫入加速器,則顯示 true。

RestorePointSourceVMOSDisk

描述操作系統磁碟。

名稱 類型 Description
caching

CachingTypes

取得快取類型。

diskRestorePoint

DiskRestorePointAttributes

包含磁碟還原點屬性。

diskSizeGB

integer (int32)

取得以 GB 為單位的磁碟大小。

encryptionSettings

DiskEncryptionSettings

取得磁碟加密設定。

managedDisk

ManagedDiskParameters

取得受控磁碟詳細數據

name

string

取得磁碟名稱。

osType

OperatingSystemType

取得作業系統類型。

writeAcceleratorEnabled

boolean

如果磁碟已啟用寫入加速器,則顯示 true。

RestorePointSourceVMStorageProfile

描述記憶體配置檔。

名稱 類型 Description
dataDisks

RestorePointSourceVMDataDisk[]

取得還原點建立時所擷取之 VM 的數據磁碟。

diskControllerType

DiskControllerTypes

取得還原點建立時所擷取之 VM 的磁碟控制器類型。

osDisk

RestorePointSourceVMOSDisk

取得還原點建立時所擷取之 VM 的 OS 磁碟。

SecurityEncryptionTypes

指定受控磁碟的 EncryptionType。 它會設定為 DiskWithVMGuestState 來加密受控磁碟以及 VMGuestState Blob、VMGuestStateOnly,以便只加密 VMGuestState Blob,以及 NonPersistedTPM 以在 VMGuestState blob 中保存韌體狀態。 注意: 只能設定機密 VM。

值 Description
VMGuestStateOnly
DiskWithVMGuestState
NonPersistedTPM

SecurityProfile

指定虛擬機或虛擬機擴展集的安全性配置檔設定。

名稱 類型 Description
encryptionAtHost

boolean

用戶可以在要求中使用這個屬性來啟用或停用虛擬機或虛擬機擴展集的主機加密。 這會啟用所有磁碟的加密,包括主機本身的資源/暫存磁碟。 默認行為為:除非資源將此屬性設定為 true,否則將會停用主機的加密。

encryptionIdentity

EncryptionIdentity

指定 ADE 用來取得金鑰保存庫作業存取令牌的受控識別。

proxyAgentSettings

ProxyAgentSettings

在建立虛擬機時指定 ProxyAgent 設定。 API 版本下限:2023-09-01。

securityType

SecurityTypes

指定虛擬機的 SecurityType。 它必須設定為任何指定的值,才能啟用 UefiSettings。 預設行為是:除非設定了這個屬性且不是標準,否則 UefiSettings 不會被啟用。 若未指定,標準將從 2025-11-01 起始 API 版本回傳。

uefiSettings

UefiSettings

指定建立虛擬機時所使用的安全開機和 vTPM 等安全性設定。 API 版本下限:2020-12-01。

SecurityTypes

指定虛擬機安全類型;UefiSettings 僅在設定為 TrustedLaunch 或 ConfidentialVM 時啟用,並回傳標準值,起始 API 版本為 2025-11-01。

值 Description
Standard

表示沒有 UEFI 功能(如 SecureBoot 或 vTPM)的虛擬機;當未指定 securityType 時,會回傳為預設值。

TrustedLaunch
ConfidentialVM

SettingNames

指定內容適用的設定名稱。 可能的值為:FirstLogonCommands 和 AutoLogon。

值 Description
AutoLogon
FirstLogonCommands

SnapshotAccessState

決定快照存取可用性的快照狀態。

值 Description
Unknown

預設值。

Pending

快照不能用於還原、複製或下載到離線。

Available

快照可用於還原、複製到其他區域和下載到離線。

InstantAccess

快照可用於恢復性能較快的磁碟,但不能複製或下載。

AvailableWithInstantAccess

快照可用於恢復性能快速的磁碟、複製和下載的磁碟。

SshConfiguration

在 Azure 上執行的 Linux 型 VM 的 SSH 設定

名稱 類型 Description
publicKeys

SshPublicKey[]

用來向Linux型VM進行驗證的SSH公鑰清單。

SshPublicKey

包含 SSH 憑證公鑰的相關信息,以及放置公鑰之 Linux VM 上的路徑。

名稱 類型 Description
keyData

string

用來透過 ssh 向 VM 進行驗證的 SSH 公鑰憑證。 密鑰至少必須是 2048 位,且格式為 ssh-rsa。 如需建立 ssh 金鑰,請參閱 [在 Azure 中建立 Linux 和 Mac 上 Linux VM 的 SSH 金鑰]https://docs.microsoft.com/azure/virtual-machines/linux/create-ssh-keys-detailed).

path

string

指定已建立 VM 上儲存 SSH 公鑰的完整路徑。 如果檔案已經存在,指定的索引鍵會附加至檔案。 範例:/home/user/.ssh/authorized_keys

StatusLevelTypes

層級程序代碼。

值 Description
Info
Warning
Error

StorageAccountTypes

指定受控磁碟的記憶體帳戶類型。 只有當您建立擴展集時,才能設定受控 OS 磁碟記憶體帳戶類型。 注意:UltraSSD_LRS只能與數據磁碟搭配使用。 它不能與OS磁碟搭配使用。 Standard_LRS使用標準 HDD。 StandardSSD_LRS使用標準 SSD。 Premium_LRS使用進階 SSD。 UltraSSD_LRS使用 Ultra 磁碟。 Premium_ZRS使用進階 SSD 區域備援記憶體。 StandardSSD_ZRS使用標準 SSD 區域備援記憶體。 如需 Windows 虛擬機所支援磁碟的詳細資訊,請參閱 https://docs.microsoft.com/azure/virtual-machines/windows/disks-types,如需 Linux 虛擬機的詳細資訊,請參閱 https://docs.microsoft.com/azure/virtual-machines/linux/disks-types

值 Description
Standard_LRS
Premium_LRS
StandardSSD_LRS
UltraSSD_LRS
Premium_ZRS
StandardSSD_ZRS
PremiumV2_LRS

SubResource

名稱 類型 Description
id

string

資源標識碼

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立此資源的身分。

createdByType

createdByType

建立此資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

UefiSettings

指定建立虛擬機時所使用的安全開機和 vTPM 等安全性設定。 API 版本下限:2020-12-01。

名稱 類型 Description
secureBootEnabled

boolean

指定是否應在虛擬機上啟用安全開機。 API 版本下限:2020-12-01。

vTpmEnabled

boolean

指定是否應在虛擬機上啟用 vTPM。 API 版本下限:2020-12-01。

VaultCertificate

描述 金鑰保存庫 中的單一憑證參考,以及憑證應該位於 VM 上的位置。

名稱 類型 Description
certificateStore

string

針對 Windows VM,指定應新增憑證之虛擬機上的證書存儲。 指定的證書存儲隱含在 LocalMachine 帳戶中。 針對 Linux VM,憑證檔案會放在 /var/lib/waagent 目錄底下,檔名 <X509 憑證檔案的大寫Thumbprint>.crt,並針對私鑰 <大寫Thumbprint>.prv。 這兩個檔案都是 .pem 格式。

certificateUrl

string

這是已上傳至 金鑰保存庫 做為秘密之憑證的 URL。 如需將秘密新增至 金鑰保存庫,請參閱 將金鑰或秘密新增至金鑰保存庫。 在此情況下,您的憑證必須是下列 JSON 物件的 Base64 編碼,其編碼方式為 UTF-8:

{
“data”:“<Base64 編碼憑證>”,
“dataType”:“pfx”,
“password”:“<pfx-file-password>”
}
若要在虛擬機上安裝憑證,建議使用適用於Linux 的 Azure Key Vault 虛擬機擴充功能,或適用於Windows的 Azure Key Vault 虛擬機擴充功能。

VaultSecretGroup

描述一組憑證,這些憑證全都位於相同的金鑰保存庫 中。

名稱 類型 Description
sourceVault

SubResource

金鑰保存庫 的相對 URL,其中包含 VaultCertificates 中的所有憑證。

vaultCertificates

VaultCertificate[]

SourceVault 中包含憑證的金鑰保存庫參考清單。

VirtualMachineSizeTypes

指定虛擬機的大小。 列舉數據類型目前已被取代,將於 2023 年 12 月 23 日移除。 取得可用大小清單的建議方式是使用這些 API:列出可用性設定組中的所有可用虛擬機大小、列出區域中所有可用的虛擬機大小、列出所有可用的虛擬機大小以重設大小。 如需虛擬機器大小的詳細資訊,請參閱 虛擬機的大小。 可用的 VM 大小取決於區域和可用性設定組。

值 Description
Basic_A0
Basic_A1
Basic_A2
Basic_A3
Basic_A4
Standard_A0
Standard_A1
Standard_A2
Standard_A3
Standard_A4
Standard_A5
Standard_A6
Standard_A7
Standard_A8
Standard_A9
Standard_A10
Standard_A11
Standard_A1_v2
Standard_A2_v2
Standard_A4_v2
Standard_A8_v2
Standard_A2m_v2
Standard_A4m_v2
Standard_A8m_v2
Standard_B1s
Standard_B1ms
Standard_B2s
Standard_B2ms
Standard_B4ms
Standard_B8ms
Standard_D1
Standard_D2
Standard_D3
Standard_D4
Standard_D11
Standard_D12
Standard_D13
Standard_D14
Standard_D1_v2
Standard_D2_v2
Standard_D3_v2
Standard_D4_v2
Standard_D5_v2
Standard_D2_v3
Standard_D4_v3
Standard_D8_v3
Standard_D16_v3
Standard_D32_v3
Standard_D64_v3
Standard_D2s_v3
Standard_D4s_v3
Standard_D8s_v3
Standard_D16s_v3
Standard_D32s_v3
Standard_D64s_v3
Standard_D11_v2
Standard_D12_v2
Standard_D13_v2
Standard_D14_v2
Standard_D15_v2
Standard_DS1
Standard_DS2
Standard_DS3
Standard_DS4
Standard_DS11
Standard_DS12
Standard_DS13
Standard_DS14
Standard_DS1_v2
Standard_DS2_v2
Standard_DS3_v2
Standard_DS4_v2
Standard_DS5_v2
Standard_DS11_v2
Standard_DS12_v2
Standard_DS13_v2
Standard_DS14_v2
Standard_DS15_v2
Standard_DS13-4_v2
Standard_DS13-2_v2
Standard_DS14-8_v2
Standard_DS14-4_v2
Standard_E2_v3
Standard_E4_v3
Standard_E8_v3
Standard_E16_v3
Standard_E32_v3
Standard_E64_v3
Standard_E2s_v3
Standard_E4s_v3
Standard_E8s_v3
Standard_E16s_v3
Standard_E32s_v3
Standard_E64s_v3
Standard_E32-16_v3
Standard_E32-8s_v3
Standard_E64-32s_v3
Standard_E64-16s_v3
Standard_F1
Standard_F2
Standard_F4
Standard_F8
Standard_F16
Standard_F1s
Standard_F2s
Standard_F4s
Standard_F8s
Standard_F16s
Standard_F2s_v2
Standard_F4s_v2
Standard_F8s_v2
Standard_F16s_v2
Standard_F32s_v2
Standard_F64s_v2
Standard_F72s_v2
Standard_G1
Standard_G2
Standard_G3
Standard_G4
Standard_G5
Standard_GS1
Standard_GS2
Standard_GS3
Standard_GS4
Standard_GS5
Standard_GS4-8
Standard_GS4-4
Standard_GS5-16
Standard_GS5-8
Standard_H8
Standard_H16
Standard_H8m
Standard_H16m
Standard_H16r
Standard_H16mr
Standard_L4s
Standard_L8s
Standard_L16s
Standard_L32s
Standard_M64s
Standard_M64ms
Standard_M128s
Standard_M128ms
Standard_M64-32ms
Standard_M64-16ms
Standard_M128-64ms
Standard_M128-32ms
Standard_NC6
Standard_NC12
Standard_NC24
Standard_NC24r
Standard_NC6s_v2
Standard_NC12s_v2
Standard_NC24s_v2
Standard_NC24rs_v2
Standard_NC6s_v3
Standard_NC12s_v3
Standard_NC24s_v3
Standard_NC24rs_v3
Standard_ND6s
Standard_ND12s
Standard_ND24s
Standard_ND24rs
Standard_NV6
Standard_NV12
Standard_NV24

VMDiskSecurityProfile

指定受控磁碟的安全性配置檔設定。 注意: 只能針對機密 VM 設定。

名稱 類型 Description
diskEncryptionSet

DiskEncryptionSetParameters

針對客戶受控密鑰加密的機密VM OS 磁碟和 VMGuest Blob 所使用的受控磁碟,指定客戶受控磁碟加密集資源識別碼。

securityEncryptionType

SecurityEncryptionTypes

指定受控磁碟的 EncryptionType。 它會設定為 DiskWithVMGuestState 來加密受控磁碟以及 VMGuestState Blob、VMGuestStateOnly,以便只加密 VMGuestState Blob,以及 NonPersistedTPM 以在 VMGuestState blob 中保存韌體狀態。 注意: 只能設定機密 VM。

VMSizeProperties

指定虛擬機上的 VM 大小屬性設定。

名稱 類型 Description
vCPUsAvailable

integer (int32)

指定 VM 可用的 vCPU 數目。 當要求本文中未指定此屬性時,預設行為是將它設定為 api 回應中公開的 vCPU 值,列出區域中所有可用的虛擬機大小。

vCPUsPerCore

integer (int32)

指定 vCPU 與實體核心比率。 當要求本文中未指定此屬性時,預設行為會針對 api 回應中公開的 VM 大小設定為 vCPUUsPerCore 的值,列出區域中所有可用的虛擬機大小,。 將此屬性設定為 1 也表示已停用超線程處理。

WindowsConfiguration

指定虛擬機上的 Windows 作業系統設定。

名稱 類型 Description
additionalUnattendContent

AdditionalUnattendContent[]

指定其他base-64編碼的 XML 格式資訊,這些資訊可以包含在 Windows 安裝程式所使用的 Unattend.xml 檔案中。

enableAutomaticUpdates

boolean

指出是否為 Windows 虛擬機啟用自動更新。 預設值為 True。 針對虛擬機擴展集,此屬性可以更新,更新將會在OS重新佈建上生效。

enableVMAgentPlatformUpdates

boolean

指出是否為 Windows 虛擬機啟用 VMAgent 平臺更新。

patchSettings

PatchSettings

[預覽功能]指定與 Windows 上的 VM 客體修補相關的設定。

provisionVMAgent

boolean

指出虛擬機器代理程式是否應該佈建在虛擬機上。 當要求本文中未指定這個屬性時,預設會設定為 true。 這可確保 VM 代理程式已安裝在 VM 上,以便稍後將擴充功能新增至 VM。

timeZone

string

指定虛擬機的時區。 例如「太平洋標準時間」。 可能的值可以從 TimeZoneInfo.GetSystemTimeZones所傳回的時區 TimeZoneInfo.Id 值。

winRM

WinRMConfiguration

指定 Windows 遠端管理接聽程式。 這可啟用遠端 Windows PowerShell。

WindowsPatchAssessmentMode

指定 IaaS 虛擬機的 VM 客體修補評估模式。

可能的值為:

ImageDefault - 您可以在虛擬機上控制修補程式評估的時間。

AutomaticByPlatform - 平台將觸發定期修補程序評估。 屬性 provisionVMAgent 必須為 true。

值 Description
ImageDefault
AutomaticByPlatform

WindowsVMGuestPatchAutomaticByPlatformRebootSetting

指定所有 AutomaticByPlatform 修補程式安裝作業的重新啟動設定。

值 Description
Unknown
IfRequired
Never
Always

WindowsVMGuestPatchAutomaticByPlatformSettings

指定在 Windows 修補程式設定中選取 Patch 模式 AutomaticByPlatform 時要套用的其他設定。

名稱 類型 Description
bypassPlatformSafetyChecksOnUserSchedule

boolean

讓客戶在不意外升級的情況下排程修補

rebootSetting

WindowsVMGuestPatchAutomaticByPlatformRebootSetting

指定所有 AutomaticByPlatform 修補程式安裝作業的重新啟動設定。

WindowsVMGuestPatchMode

將 VM 客體修補模式指定為彈性的 IaaS 虛擬機或與虛擬機擴展集相關聯的虛擬機。

可能的值為:

手動 - 您可以控制將修補程式的應用程式套用至虛擬機。 您可以手動在 VM 內套用修補程式來執行此動作。 在此模式中,會停用自動更新;屬性 WindowsConfiguration.enableAutomaticUpdates 必須為 false

AutomaticByOS - 作業系統會自動更新虛擬機。 屬性 WindowsConfiguration.enableAutomaticUpdates 必須為 true。

AutomaticByPlatform - 虛擬機會由平台自動更新。 provisionVMAgent 和 WindowsConfiguration.enableAutomaticUpdates 的屬性必須是 true

值 Description
Manual
AutomaticByOS
AutomaticByPlatform

WinRMConfiguration

描述 VM 的 Windows 遠端管理設定

名稱 類型 Description
listeners

WinRMListener[]

Windows 遠端管理接聽程式清單

WinRMListener

描述 Windows 遠端管理接聽程式的通訊協議和指紋

名稱 類型 Description
certificateUrl

string

這是已上傳至 金鑰保存庫 做為秘密之憑證的 URL。 如需將秘密新增至 金鑰保存庫,請參閱 將金鑰或秘密新增至金鑰保存庫。 在此情況下,您的憑證必須是以UTF-8編碼的下列 JSON 物件的Base64編碼:

{
“data”:“<Base64 編碼憑證>”,
“dataType”:“pfx”,
“password”:“<pfx-file-password>”
}
若要在虛擬機上安裝憑證,建議使用適用於Linux 的 Azure Key Vault 虛擬機擴充功能,或適用於Windows的 Azure Key Vault 虛擬機擴充功能。

protocol

ProtocolTypes

指定 WinRM 接聽程式的通訊協定。 可能的值為:HTTP、https。